%define pkgver %(echo %version | cut -d_ -f1)
%define dirver %(echo %version | cut -d_ -f2)
Name:          phpstorm
Version:       2022.3.1
Release:       1mamba
Summary:       Lightweight and Smart PHP IDE
Group:         Graphical Desktop/Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.jetbrains.com/phpstorm/
Source:        https://download.jetbrains.com/webide/PhpStorm-%{pkgver}.tar.gz
Source1:       jetbrains-phpstorm.desktop
License:       Custom
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END

%description
Lightweight and Smart PHP IDE.

%package jre
Group:         System/Libraries
Summary:       JBR (JetBrains Runtime) for PHPStorm - a patched JRE

%description jre
JBR (JetBrains Runtime) for PHPStorm - a patched JRE.

%debug_package

%define _build_id_links none
%global __requires_exclude_from ^%{_datadir}/phpstorm/.*$
%global __provides_exclude_from ^%{_datadir}/phpstorm/.*$

%prep
%setup -q -c -a0
mv PhpStorm-*/* .
rmdir PhpStorm-*

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

install -d -m0755 %{buildroot}{%{_datadir}/phpstorm,%{_bindir}}

cp -a * %{buildroot}%{_datadir}/phpstorm/

ln -s %{_datadir}/phpstorm/bin/webstorm.sh %{buildroot}%{_bindir}/phpstorm
install -D -m644 %{SOURCE1} %{buildroot}%{_datadir}/applications/jetbrains-phpstorm.desktop
install -D -m644 bin/phpstorm.svg %{buildroot}%{_datadir}/pixmaps/phpstorm.svg

rm -f %{buildroot}%{_datadir}/phpstorm/Install-Linux-tar.txt

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/phpstorm
%{_datadir}/applications/jetbrains-phpstorm.desktop
%{_datadir}/pixmaps/phpstorm.svg
%dir %{_datadir}/phpstorm
%{_datadir}/phpstorm/build.txt
%{_datadir}/phpstorm/product-info.json
%dir %{_datadir}/phpstorm/bin
%{_datadir}/phpstorm/bin/*
%dir %{_datadir}/phpstorm/help
%{_datadir}/phpstorm/help/*.pdf
%dir %{_datadir}/phpstorm/lib
%{_datadir}/phpstorm/lib/*
%dir %{_datadir}/phpstorm/license
%{_datadir}/phpstorm/license/*
%dir %{_datadir}/phpstorm/plugins
%{_datadir}/phpstorm/plugins/*

%files jre
%defattr(-,root,root)
%dir %{_datadir}/phpstorm/jbr
%{_datadir}/phpstorm/jbr/*

%changelog
* Sun Jan 15 2023 Automatic Build System <autodist@mambasoft.it> 2022.3.1-1mamba
- automatic version update by autodist

* Fri Sep 09 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2022.2.1_222.3739.61-1mamba
- package created using the webbuild interface
